### Function

# Ide TaskThreadFunc

#### Declaration

    void
    (* IdeTaskThreadFunc) (
      IdeTask* task,
      gpointer source_object,
      gpointer task_data,
      GCancellable* cancellable
    )

#### Description

No description available.

#### Parameters

`task` | `IdeTask`
| No description available.
| The data is owned by the caller of the function.
`source_object` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`task_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.